<?php
namespace ThurData\Servers\KerioEmail\App\UI\Admin\Custom\Fields;
use ThurData\Servers\KerioEmail\Core\UI\Interfaces\AdminArea;
use ThurData\Servers\KerioEmail\Core\UI\Interfaces\ClientArea;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\Fields\Select;

/**
 *
 * Created by PhpStorm.
 * User: ThurData
 * Date: 02.10.19
 * Time: 10:08
 * Class ExtendedSelect
 */
class ExtendedSelect extends Select implements AdminArea, ClientArea
{
    protected $id   = 'extendedSelect';
    protected $name = 'extendedSelect';

    protected $hidden = false;

    /**
     * @return bool
     */
    public function isHidden()
    {
        return $this->hidden;
    }

    /**
     * @param $hidden
     * @return $this
     */
    public function setHidden($hidden)
    {
        $this->hidden = $hidden;
        return $this;
    }

    /**
     * @return ExtendedSelect
     */
    public function enableHidden()
    {
        return $this->setHidden(true);
    }

    /**
     * @return ExtendedSelect
     */
    public function disableHidden()
    {
        return $this->setHidden(false);
    }

}